Skip to content
OpenPostDocs
OpenPostDocs
Notifications

Update notification delivery preferences

PUT/notifications/preferences

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/notifications/preferences" \  -H "Content-Type: application/json" \  -d '{    "digest_time": "string",    "digest_timezone": "string",    "preferences": {      "property1": {        "email_frequency": "off",        "in_app": true      },      "property2": {        "email_frequency": "off",        "in_app": true      }    }  }'
{  "$schema": "https://example.com/api/v1/schemas/PreferenceSettings.json",  "digest_configured": true,  "digest_time": "09:00",  "digest_timezone": "Europe/Lisbon",  "email_address": "string",  "email_available": true,  "mutes": [    {      "ends_at": "2019-08-24T14:15:22Z",      "id": "string",      "scope": "account",      "starts_at": "2019-08-24T14:15:22Z",      "workspace_id": "string",      "workspace_name": "string"    }  ],  "preferences": {    "property1": {      "email_frequency": "off",      "in_app": true    },    "property2": {      "email_frequency": "off",      "in_app": true    }  },  "topic_definitions": [    {      "critical_in_app": true,      "default_preference": {        "email_frequency": "off",        "in_app": true      },      "email_frequencies": [        "string"      ],      "email_mutable": true,      "group": "string",      "id": "string",      "in_app_mutable": true,      "mute_applies": true,      "presentation_key": "string",      "transactional": true    }  ]}